Package networkx :: Module search_class :: Class Predecessor

[frames | no frames]

## Type Predecessor

    object --+
             |
        Search --+
                 |
                Predecessor

Predeceessor visitor Builds a dict of nodes with sucessor vertex list as data. path method returns path lengths from source to target.

Method Summary
| `__init__(self, G, queue, **kwds)`
| ``firstseen_vertex`(self, v)` Visitor function called the first time a vertex is encountered.
| ``lastseen_edge`(self, e)` Visitor function called the last time an edge is encountered.
| ``path`(self, target)` Gets one shortest path to target out of predecessor hash.
Inherited from `Search`: `end_tree`, `firstseen_edge`, `lastseen_vertex`, `search`, `start_tree` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Method Details

### firstseen_vertex(self, v)

Visitor function called the first time a vertex is encountered.

  Overrides:
    `networkx.search_class.Search.firstseen_vertex`

### lastseen_edge(self, e)

Visitor function called the last time an edge is encountered.

  Overrides:
    `networkx.search_class.Search.lastseen_edge`

### path(self, target)

Gets one shortest path to target out of predecessor hash. There might be more than one

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net